Skip to main content
`Ctrl`+`K`

# PetscSectionSetClosurePermutation

Set the dof permutation for the closure of each cell in the section, meaning clPerm[newIndex] = oldIndex.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetClosurePermutation(PetscSection section, PetscObject obj, PetscInt depth, IS perm)

Not Collective

## Input Parameters

- section - The `PetscSection`

- obj - A `PetscObject` which serves as the key for this index (usually a `DM`)

- depth - Depth of points on which to apply the given permutation

- perm - Permutation of the cell dof closure

## Notes

The specified permutation will only be applied to points at depth whose closure size matches the length of perm. In a mixed-topology or variable-degree finite element space, this function can be called multiple times at each depth for each topology and degree.

This approach assumes that (depth, len(perm)) uniquely identifies the desired permutation; this might not be true for exotic/enriched spaces on mixed topology meshes.

## See Also

PetscSection, `PetscSection`, `IS`, `PetscSectionGetClosurePermutation()`, `PetscSectionGetClosureIndex()`, `DMPlexCreateClosureIndex()`, `PetscCopyMode`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/dm/impls/plex/tutorials/ex6.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages